# Method: projects.calls.transcriptions.list

Lists the Transcriptions of the specified project. List returns Transcriptions sorted by create_time descending.

The caller must have `voice.transcriptions.list` permission on the project.

### HTTP request

`GET https://voice.api.enfonica.com/v1beta1/{parent}/transcriptions`

### Path parameters

Parameters | &nbsp;
--|--
<span class="e-code">parent</span> | <span class="e-code">string</span><br/>The resource name of the parent of which to list transcriptions. May be of the form `projects/*/calls/*` to list the transcriptions of that specific call, or `projects/*` to list transcriptions across the entire project, which maps to `projects/*/calls/-`.

### Query parameters
Parameters | &nbsp;
--|--
<span class="e-code">pageSize</span> | <span class="e-code">number (<a href="https://developers.google.com/protocol-buffers/docs/proto3#json" target="_blank">int32</a> format)</span><br/>The maximum number of Transcriptions to return in the response. Default value of 10 and maximum value of 100.
<span class="e-code">pageToken</span> | <span class="e-code">string</span><br/>A pagination token returned from a previous transcription to `ListTranscriptions` that indicates where this listing should continue from.
<span class="e-code">view</span> | <span class="e-code">enum ([TranscriptionView](#transcriptionview))</span><br/>Configuration of partial responses. Defaults to BASIC.

### Request body

The request body must be empty.

### Response body

The ListTranscriptions response transcription.

<div class="highlight"><span class="filename">JSON representation</span><pre><code><span class="p">{</span>
  <span class="s2">&quot;transcriptions&quot;</span><span class="p">: </span><span class="p">[</span>
    <span class="p">{</span>
      <span class="kd">object (</span><a href="/docs/cloud-voice/api-reference/rest/v1beta1/projects.calls.transcriptions/overview/#resource-transcription"><strong><span class="kd">Transcription</span></strong></a><span class="kd">)</span>
    <span class="p">}</span>
  <span class="p">]</span><span class="p">,</span>
  <span class="s2">&quot;nextPageToken&quot;</span><span class="p">: </span><span class="kd">string</span>
<span class="p">}</span></code></pre></div>

Fields | &nbsp;
--|--
<span class="e-code">transcriptions[]</span> | <span class="e-code">object ([Transcription](/docs/cloud-voice/api-reference/rest/v1beta1/projects.calls.transcriptions/overview/#resource-transcription))</span><br/>A possibly paginated list of Transcriptions that are direct descendants of the specified parent resource.
<span class="e-code">nextPageToken</span> | <span class="e-code">string</span><br/>A pagination token returned from a previous transcription to `ListTranscriptions` that indicates from where listing should continue.

### TranscriptionView

Configuration of partial responses for the Transcription resource.

Enums | &nbsp;
--|--
<span class="e-code">TRANSCRIPTION_VIEW_UNSPECIFIED</span> | The default / unset value. The API will default to BASIC for ListTranscriptions and FULL for GetTranscription.
<span class="e-code">TRANSCRIPTION_VIEW_BASIC</span> | Includes all fields except [utterances][enfonica.voice.v1beta1.Transcription.utterances]. This is the default for ListTranscriptions.
<span class="e-code">TRANSCRIPTION_VIEW_FULL</span> | Includes all fields. This is the default for GetTranscription.

